Subject: [Ltru] Issue 63:

From: "Martin J. Dürst" <[email-masked]>
Date: Wed, 10 Jun 2009 19:18:53 +0900

[hats on]

[Randy: I have assigned this the next number (63). Can you please put 
this into the tracker accordingly. Thanks.]

Alex has promised not to send us any issues anymore, but in discussion 
with him, I have found out that there is one more that I think he would 
really like to be handled, and so I'm trying to help him by sending this 
to the WG myself.

The commenter in the Application Area review commented that we should 
use the U+00xx notation for identifying characters outside of ABNF. The 
reasons given are that the notation from the ABNF isn't intended for use 
outside the ABNF, and that it doesn't follow RFC 5137/BCP 137.

Regards,    Martin.

-- 
#-# Martin J. Dürst, Professor, Aoyama Gakuin University
#-# http://www.sw.it.aoyama.ac.jp   mailto:[email-masked]

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 10 Jun 2009 11:35:17 +0100

Martin J. Dürst wrote:

> with him, I have found out that there is one more that I think he 
> would really like to be handled, and so I'm trying to help him by 
> sending this to the WG myself.
>
> use the U+00xx notation for identifying characters outside of ABNF. 
> The reasons given are that the notation from the ABNF isn't intended 
> for use outside the ABNF, and that it doesn't follow RFC 5137/BCP 137.

I think the latter argument (BCP 137) is more important, besides this 
would make 4646bis more consistent with other RFCs recently published.

---

From: "Martin J. Dürst" <[email-masked]>
Date: Wed, 10 Jun 2009 19:37:25 +0900

[hats on: sorry I forgot to complete the subject]

[hats off, technical commenter only]

I think this is easy to fix, and can only affect our chances at moving 
through the next steps positively.

I have looked at how to implement this issue, and have come up with the 
following proposal for changes:

In section 2.1, change last line of first paragraph from

    other subtags in a tag by a hyphen ("-", ABNF [RFC5234] %x2D).

to

    other subtags in a tag by a hyphen ("-", [Unicode, p. 1077] U+002D).

In section 3.1.1, change the fourth line of the second paragraph from

    character (%x3A) plus any surrounding whitespace.  Each field is

to

    character (U+003A) plus any surrounding whitespace.  Each field is

Also, change the second line of the third paragraph from

    lines containing only the sequence "%%" (%x25.25).

to

    lines containing only the sequence "%%" (U+0025 U+0025).

Also, change the first line of the second-to-last paragraph from

    The sequence '..' (%x2E.2E) in a field-body denotes a range of

to

    The sequence '..' (U+002E U+002E) in a field-body denotes a range of

Move [Unicode] from informative references to normative references.

Regards,    Martin.

---

From: "Martin J. Dürst" <[email-masked]>
Date: Wed, 10 Jun 2009 19:47:40 +0900

[technical contributor]

> would make 4646bis more consistent with other RFCs recently published.

And more consistent with practice at other standards organizations, such 
as (of course) the Unicode Consortium and W3C.

Regards,    Martin.

---

From: Kent Karlsson <[email-masked]>
Date: Wed, 10 Jun 2009 13:09:50 +0200

>    lines containing only the sequence "%%" (U+0025 U+0025).
...
>    The sequence '..' (U+002E U+002E) in a field-body denotes a range of

Nit-pick: Unicode (and ISO/IEC 10646) uses tuple syntax when denoting
character sequences. So:

    lines containing only the sequence "%%" (<U+0025, U+0025>).
...
    The sequence '..' (<U+002E, U+002E>) in a field-body denotes a range of

>    other subtags in a tag by a hyphen ("-", [Unicode, p. 1077] U+002D).

Still nit-picking: I'm not too keen on including a page number. This
is just as valid for other editions of TUS. And does the reference have to
be placed so awkwardly?

I don't think issue 63 needs lead to any changes in the text, but of course
I'm not opposed to the suggested changes (with fixes as above).

        /kent k

---

From: "Martin J. Dürst" <[email-masked]>
Date: Wed, 10 Jun 2009 20:26:16 +0900

[technical contributor]

On 2009/06/10 20:09, Kent Karlsson wrote:
> Den 2009-06-10 12.37, skrev "Martin J. Dürst"<[email-masked]>:
>

I'm fine with adding the comma. I don't think the IETF uses '<' and '>', 
so I'd prefer to leave them out.

> is just as valid for other editions of TUS.

Fine with me to leave that out.

> And does the reference have to
> be placed so awkwardly?

No. I just left it where it was before. We didn't get a request to move 
the place of the reference. But I would be fine with ("-", U+002D 
[Unicode]) or so, if that looks better to you.

> I'm not opposed to the suggested changes (with fixes as above).

[chair/shepherd hat on]: If I won't be able to detect a clear preference 
in the WG for or against this change, I plan to put consensus on the 
side of change for this specific issue given the circumstances.

Regards,    Martin.

---

From: Peter Constable <[email-masked]>
Date: Wed, 10 Jun 2009 06:45:09 -0700

From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexey Melnikov

> use the U+00xx notation for identifying characters outside of ABNF. 

Where are we talking about? What particular changes are needed?

2.1.1 has references to specific characters, and it is using that notation already. Is different notation used elsewhere?

Peter

---

From: Peter Constable <[email-masked]>
Date: Wed, 10 Jun 2009 06:47:29 -0700

Sorry, I just saw later mail that gives the specifics.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Peter Constable
Sent: Wednesday, June 10, 2009 6:45 AM
To: Alexey Melnikov; "Martin J. Dürst"
Cc: LTRU Working Group
Subject: Re: [Ltru] Issue 63:

Peter
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 10 Jun 2009 08:10:23 -0700

I support replacing ABNF notations as documented by Martin in a previous email on this thread with U+ notation. However I note that the ABNF for record-jar in Section 3.1.1 contains references to Unicode code points in this production:

   CHARS      = (%x21-10FFFF)      ; Unicode code points

I want to know if we can keep this, or, failing that, what we're supposed to change it to. Note that I got this particular production from draft-iri (that would be your draft, Martin :-) ).

Addison 

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of "Martin J. Dürst"
> Sent: Wednesday, June 10, 2009 3:48 AM
> To: Alexey Melnikov
> Cc: LTRU Working Group

---

From: John Cowan <[email-masked]>
Date: Wed, 10 Jun 2009 11:15:28 -0400

Phillips, Addison scripsit:

> I support replacing ABNF notations as documented by Martin in a previous
> email on this thread with U+ notation. However I note that the ABNF
> for record-jar in Section 3.1.1 contains references to Unicode code
> points in this production:
> 
> I want to know if we can keep this, or, failing that, what we're
> supposed to change it to. Note that I got this particular production
> from draft-iri (that would be your draft, Martin :-) ).

That's needed for our (slight abuse of) ABNF; we don't change it.  It's the stray
references to characters in text that are being proposed for change.

-- 
A poetical purist named Cowan           [that's me: [email-masked]]
Once put the rest of us dowan.          [on xml-dev]
    "Your verse would be sweeter        http://www.ccil.org/~cowan
    If it only had metre
And rhymes that didn't force me to frowan."     [overpacked line!] --Michael Kay

---

From: Peter Constable <[email-masked]>
Date: Wed, 10 Jun 2009 08:17:05 -0700

From: [email-masked] [mailto:[email-masked]] On Behalf Of "Martin J. Dürst"

> so I'd prefer to leave them out.

I'm OK with the comma; I agree that this is IETF, not Unicode, so we should adopt IETF conventions.

> Fine with me to leave that out.

I also would leave out the page number. 

>> And does the reference have to

I also wonder why have the reference to Unicode here--we wouldn't include it with every reference to an individual character, but at the same time there's nothing about a reference here that indicates the same reference applies in every other mention of specific characters. Rather, I think it would make more sense to give a reference to Unicode at the end of the introduction:

<suggested text>
Specific characters that are mentioned in this document are to be interpreted as characters in the Unicode coded character set ([Unicode]). Character references within ABNF will follow conventions for ABNF given in [RFC 5234]. Character references outside ABNF will use a literal quotation and include the Unicode code position, as recommended in RFC 5137. For example, "-" U+002D.
</suggested text>

In other respects, I'm OK with the changes Martin suggested.

Peter

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 10 Jun 2009 08:22:37 -0700

I know that's what Martin is proposing, but I wanted to be sure we didn't overlook this case.

Addison Phillips

> From: John Cowan [mailto:[email-masked]]
> Sent: Wednesday, June 10, 2009 8:15 AM
> To: Phillips, Addison
> Cc: "Martin J. Dürst"; Alexey Melnikov; LTRU Working Group

---

From: Peter Constable <[email-masked]>
Date: Wed, 10 Jun 2009 08:28:46 -0700

I agree: we don't change references in ABNF but, rather, keep those consistent with conventions given in RFC 5234.

Peter

---

From: Peter Constable <[email-masked]>
Date: Wed, 10 Jun 2009 08:31:36 -0700

Addendum: It seems to me that our reference to Unicode should be normative rather than informative.

Peter

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Peter Constable
Sent: Wednesday, June 10, 2009 8:17 AM
To: "Martin J. Dürst"; Kent Karlsson
Cc: Alexey Melnikov; LTRU Working Group
Subject: Re: [Ltru] Issue 63: Replace %xgh with U+00gh in text

<suggested text>

Peter

---

From: "Phillips, Addison" <[email-masked]>
Date: Wed, 10 Jun 2009 08:37:26 -0700

(editor hat) Noted, assuming chair determination that this change should go in.

Addison Phillips

> Behalf Of Peter Constable
> Sent: Wednesday, June 10, 2009 8:32 AM
> To: Peter Constable; "Martin J. Dürst"; Kent Karlsson
> Behalf Of Peter Constable
> I also wonder why have the reference to Unicode here--we wouldn't
> include it with every reference to an individual character, but at
> the same time there's nothing about a reference here that indicates
> the same reference applies in every other mention of specific
> characters. Rather, I think it would make more sense to give a
> reference to Unicode at the end of the introduction:
> 
> <suggested text>
> Specific characters that are mentioned in this document are to be
> interpreted as characters in the Unicode coded character set
> ([Unicode]). Character references within ABNF will follow
> conventions for ABNF given in [RFC 5234]. Character references
> outside ABNF will use a literal quotation and include the Unicode
> code position, as recommended in RFC 5137. For example, "-" U+002D.
> </suggested text>
> 
>

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 10 Jun 2009 17:26:15 +0100

>I want to know if we can keep this, or, failing that, what we're supposed to change it to. Note that I got this particular production from draft-iri (that would be your draft, Martin :-) ).
Keep ABNF as is.

---

From: Peter Constable <[email-masked]>
Date: Wed, 10 Jun 2009 10:06:55 -0700

Agreed.

-----Original Message-----
From: Phillips, Addison [mailto:[email-masked]] 
Sent: Wednesday, June 10, 2009 8:37 AM
To: Peter Constable; "Martin J. Dürst"; Kent Karlsson
Cc: Alexey Melnikov; LTRU Working Group
Subject: RE: [Ltru] Issue 63: Replace %xgh with U+00gh in text

Addison Phillips

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 10 Jun 2009 11:06:23 -0700

Hi -

It's in the tracker at http://trac.tools.ietf.org/wg/ltru/trac/ticket/63

Randy

----- Original Message ----- 
> From: "Martin J. Dürst" <[email-masked]>
> To: "LTRU Working Group" <[email-masked]>
> Cc: "Alexey Melnikov" <[email-masked]>
> Sent: Wednesday, June 10, 2009 3:18 AM
> Subject: [Ltru] Issue 63:
>
> [hats on]
>

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 10 Jun 2009 19:21:50 +0100

>Addendum: It seems to me that our reference to Unicode should be normative rather than informative.
This is sensible.

>Specific characters that are mentioned in this document are to be interpreted as characters in the Unicode coded character set ([Unicode]). Character references within ABNF will follow conventions f…
Sure.

---

From: "Martin J. Dürst" <[email-masked]>
Date: Thu, 11 Jun 2009 21:02:41 +0900

>> normative rather than informative.

I intended this to be part of my original textual proposal. Apparently 
this got lost somewhere (probably between my head and my keyboard :-).

Regards,   Martin.

>>> I'm fine with adding the comma. I don't think the IETF uses '<' and
>>> '>', so I'd prefer to leave them out.
>>>
>> include it with every reference to an individual character, but at the
>> same time there's nothing about a reference here that indicates the
>> same reference applies in every other mention of specific characters.
>> Rather, I think it would make more sense to give a reference to
>> Unicode at the end of the introduction:
>>
>> <suggested text>
>> ([Unicode]). Character references within ABNF will follow conventions
>> for ABNF given in [RFC 5234]. Character references outside ABNF will
>> use a literal quotation and include the Unicode code position, as
>> recommended in RFC 5137. For example, "-" U+002D.
>> </suggested text>
>>
>>
> Sure.
>

---

From: "Martin J. Dürst" <[email-masked]>
Date: Thu, 11 Jun 2009 21:18:31 +0900

[hats on]

(mostly for Addison, so that he knows what to do)

On 2009/06/11 0:17, Peter Constable wrote:
>> I'm fine with adding the comma. I don't think the IETF uses '<' and'>',

There are no IETF conventions. But I also haven't found the <...> thingy 
in Appendix A, Notational Conventions, of Unicode 5. So let's leave it out.

> I also would leave out the page number.

Okay, let's leave it out.

> Specific characters that are mentioned in this document are to be interpreted as characters in the Unicode coded character set ([Unicode]). Character references within ABNF will follow conventions…

If we haven't fixed that until now, I assume we can live with it. Also, 
as it turns out, RFC 5137 does not contain the U+ notation, so it would 
be wrong to cite that. I have tried to find out exactly what the 
original request was, but the only thing I can find is that we should 
replace %x.... with U+....

Regards,   Martin.

---

From: Kent Karlsson <[email-masked]>
Date: Thu, 11 Jun 2009 14:54:22 +0200

> in Appendix A, Notational Conventions, of Unicode 5. So let's leave it out.

Page 1078 (http://www.unicode.org/versions/Unicode5.0.0/appA.pdf).

Clause 6.6 (page 9) of ISO/IEC 10464:2003.

    /kent k

---

From: Peter Constable <[email-masked]>
Date: Thu, 11 Jun 2009 07:11:05 -0700

From: "Martin J. Dürst" [mailto:[email-masked]] 

> Also, 
> be wrong to cite that.

Please see section 3 of RFC 5137:

3.  Referring to Unicode Characters

   Regardless of what decisions are made about escapes for Unicode
   characters in protocol or similar contexts, text referring to a
   Unicode code point SHOULD use the U+NNNN[N[N]] syntax, as specified
   in the Unicode Standard, where the NNNN... string consists of
   hexadecimal numbers.  Text actually containing a Unicode character
   SHOULD use a syntax more suitable for automated processing.

Peter